From 6e15e75391fc117125f50efd9f3d8ed646596da9 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ga=C3=ABl=20PORTAY?= <gael.portay@gmail.com>
Date: Sun, 3 May 2015 00:27:49 +0200
Subject: [PATCH 39/45] Turn modptr local variable into unsigned char *

---
 keyimport.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/keyimport.c b/keyimport.c
index fdf51c0..b7490aa 100644
--- a/keyimport.c
+++ b/keyimport.c
@@ -507,7 +507,7 @@ static sign_key *openssh_read(const char *filename, char * UNUSED(passphrase))
 	int i, num_integers = 0;
 	sign_key *retval = NULL;
 	char *errmsg;
-	char *modptr = NULL;
+	unsigned char *modptr = NULL;
 	int modlen = -9999;
 	enum signkey_type type;
 
@@ -646,7 +646,7 @@ static sign_key *openssh_read(const char *filename, char * UNUSED(passphrase))
 			 */
 			if (i == 1) {
 				/* Save the details for after we deal with number 2. */
-				modptr = (char *)p;
+				modptr = p;
 				modlen = len;
 			} else if (i >= 2 && i <= 5) {
 				buf_putstring(blobbuf, p, len);

